import java.util.Random;

public class BinarySearchTree {

	private Node root;
	
	public BinarySearchTree(int v){
		root = new Node(v);
	}
	
	public void insert(int v){
		root.insert(v);
	}
	
	public boolean contains(int v){
		return root.contains(v);
	}
	
	public void print(){
		root.print();
	}
	
	public static void main(String[] args){
		Random rand = new Random();
		int broj;
		BinarySearchTree bst = new BinarySearchTree(3);
		
		for (int i = 0; i < 20; i++){
			broj = rand.nextInt(500);
			while (bst.contains(broj) || Math.abs(broj) > 500)
				broj = rand.nextInt();			
			
			bst.insert(broj);
			System.out.println(broj);
		}
		System.out.println("---------------------");
		bst.print();
		System.out.println(bst.contains(7));
		
	}
}
